Skip to main content
POST
/
v1
/
loans
/
{applicationId}
/
terms
/
agree
Agree to Terms
curl --request POST \
  --url https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/{applicationId}/terms/agree \
  --header 'apikey: <api-key>' \
  --header 'x-carbon-key: <x-carbon-key>'
{
  "status": "success",
  "message": "Terms agreed"
}

Overview

Records that the customer has accepted the loan terms of use. This must be completed before calling POST /v1/loans/:applicationId/post-offer-kyc.

Request

Method: POST
URL: /v1/loans/:applicationId/terms/agree

Parameters

NameInTypeRequiredDescription
x-carbon-keyHeaderstringYesAPI key for authentication.
applicationIdPathstringYesApplication ID.
No request body required.

Response

200 OK

{
  "status": "success",
  "message": "Terms accepted",
  "data": {}
}

Error Responses

StatusMessageCause
400Application not foundInvalid applicationId
422Application has no loan IDApplication not yet registered

Authorizations

apikey
string
header
required

Provide your API key in the 'apikey' header.

Headers

x-carbon-key
string
required

Path Parameters

applicationId
string
required

Response

200 - application/json

Successful response

The response is of type object.